;;; -*- Mode: LISP; Syntax: COMMON-LISP; Package: XIT; Base: 10; -*-
;;;_____________________________________________________________________________
;;;
;;;                       System: XIT
;;;                       Module: FONT-TABLE
;;;                       (Version 1.0)
;;;
;;; Copyright (c): Forschungsgruppe DRUID, Hubertus Hohl
;;;                Universitaet Stuttgart
;;;
;;; File: /usr/local/lisp/xit/font-tables/OPENWIN-PS-font-table.lisp
;;; File Creation Date: 02/28/91 11:18:15
;;; Last Modification Time: 10/01/91 15:05:27
;;; Last Modification By: Hubertus Hohl
;;;
;;;
;;; Changes (worth to be mentioned):
;;; ================================
;;;
;;;_____________________________________________________________________________


(in-package :xit)

;;;_______________________________________________
;;;
;;; Font Table for OPENWIN using PostScript fonts
;;;_______________________________________________

(define-font-families 
 (:HELVETICA
  (:NORMAL
   (6 "helvetica-6")
   (7 "helvetica-7")
   (8 "helvetica-8")
   (9 "helvetica-9")
   (10 "helvetica-10")
   (11 "helvetica-11")
   (12 "helvetica-12")
   (13 "helvetica-13")
   (14 "helvetica-14")
   (15 "helvetica-15")
   (16 "helvetica-16")
   (17 "helvetica-17")
   (18 "helvetica-18")
   (19 "helvetica-19")
   (20 "helvetica-20")
   (21 "helvetica-21")
   (22 "helvetica-22")
   (23 "helvetica-23")
   (24 "helvetica-24")
   (25 "helvetica-25")
   (26 "helvetica-26")
   (27 "helvetica-27")
   (28 "helvetica-28")
   (29 "helvetica-29")
   (30 "helvetica-30")
   )
  (:ITALIC
   (6 "helvetica-oblique-6")
   (7 "helvetica-oblique-7")
   (8 "helvetica-oblique-8")
   (9 "helvetica-oblique-9")
   (10 "helvetica-oblique-10")
   (11 "helvetica-oblique-11")
   (12 "helvetica-oblique-12")
   (13 "helvetica-oblique-13")
   (14 "helvetica-oblique-14")
   (15 "helvetica-oblique-15")
   (16 "helvetica-oblique-16")
   (17 "helvetica-oblique-17")
   (18 "helvetica-oblique-18")
   (19 "helvetica-oblique-19")
   (20 "helvetica-oblique-20")
   (21 "helvetica-oblique-21")
   (22 "helvetica-oblique-22")
   (23 "helvetica-oblique-23")
   (24 "helvetica-oblique-24")
   (25 "helvetica-oblique-25")
   (26 "helvetica-oblique-26")
   (27 "helvetica-oblique-27")
   (28 "helvetica-oblique-28")
   (29 "helvetica-oblique-29")
   (30 "helvetica-oblique-30")
   )
  (:BOLD
   (6 "helvetica-bold-6")
   (7 "helvetica-bold-7")
   (8 "helvetica-bold-8")
   (9 "helvetica-bold-9")
   (10 "helvetica-bold-10")
   (11 "helvetica-bold-11")
   (12 "helvetica-bold-12")
   (13 "helvetica-bold-13")
   (14 "helvetica-bold-14")
   (15 "helvetica-bold-15")
   (16 "helvetica-bold-16")
   (17 "helvetica-bold-17")
   (18 "helvetica-bold-18")
   (19 "helvetica-bold-19")
   (20 "helvetica-bold-20")
   (21 "helvetica-bold-21")
   (22 "helvetica-bold-22")
   (23 "helvetica-bold-23")
   (24 "helvetica-bold-24")
   (25 "helvetica-bold-25")
   (26 "helvetica-bold-26")
   (27 "helvetica-bold-27")
   (28 "helvetica-bold-28")
   (29 "helvetica-bold-29")
   (30 "helvetica-bold-30")
   )
  (:BOLDITALIC
   (6 "helvetica-boldoblique-6")
   (7 "helvetica-boldoblique-7")
   (8 "helvetica-boldoblique-8")
   (9 "helvetica-boldoblique-9")
   (10 "helvetica-boldoblique-10")
   (11 "helvetica-boldoblique-11")
   (12 "helvetica-boldoblique-12")
   (13 "helvetica-boldoblique-13")
   (14 "helvetica-boldoblique-14")
   (15 "helvetica-boldoblique-15")
   (16 "helvetica-boldoblique-16")
   (17 "helvetica-boldoblique-17")
   (18 "helvetica-boldoblique-18")
   (19 "helvetica-boldoblique-19")
   (20 "helvetica-boldoblique-20")
   (21 "helvetica-boldoblique-21")
   (22 "helvetica-boldoblique-22")
   (23 "helvetica-boldoblique-23")
   (24 "helvetica-boldoblique-24")
   (25 "helvetica-boldoblique-25")
   (26 "helvetica-boldoblique-26")
   (27 "helvetica-boldoblique-27")
   (28 "helvetica-boldoblique-28")
   (29 "helvetica-boldoblique-29")
   (30 "helvetica-boldoblique-30")
   )
  )

 (:LUCIDA
  (:NORMAL
   (6 "lucidasans-6")
   (7 "lucidasans-7")
   (8 "lucidasans-8")
   (9 "lucidasans-9")
   (10 "lucidasans-10")
   (11 "lucidasans-11")
   (12 "lucidasans-12")
   (13 "lucidasans-13")
   (14 "lucidasans-14")
   (15 "lucidasans-15")
   (16 "lucidasans-16")
   (17 "lucidasans-17")
   (18 "lucidasans-18")
   (19 "lucidasans-19")
   (20 "lucidasans-20")
   (21 "lucidasans-21")
   (22 "lucidasans-22")
   (23 "lucidasans-23")
   (24 "lucidasans-24")
   (25 "lucidasans-25")
   (26 "lucidasans-26")
   (27 "lucidasans-27")
   (28 "lucidasans-28")
   (29 "lucidasans-29")
   (30 "lucidasans-30")
   )
  (:ITALIC
   (6 "lucidasans-italic-6")
   (7 "lucidasans-italic-7")
   (8 "lucidasans-italic-8")
   (9 "lucidasans-italic-9")
   (10 "lucidasans-italic-10")
   (11 "lucidasans-italic-11")
   (12 "lucidasans-italic-12")
   (13 "lucidasans-italic-13")
   (14 "lucidasans-italic-14")
   (15 "lucidasans-italic-15")
   (16 "lucidasans-italic-16")
   (17 "lucidasans-italic-17")
   (18 "lucidasans-italic-18")
   (19 "lucidasans-italic-19")
   (20 "lucidasans-italic-20")
   (21 "lucidasans-italic-21")
   (22 "lucidasans-italic-22")
   (23 "lucidasans-italic-23")
   (24 "lucidasans-italic-24")
   (25 "lucidasans-italic-25")
   (26 "lucidasans-italic-26")
   (27 "lucidasans-italic-27")
   (28 "lucidasans-italic-28")
   (29 "lucidasans-italic-29")
   (30 "lucidasans-italic-30")
   )
  (:BOLD
   (6 "lucidasans-bold-6")
   (7 "lucidasans-bold-7")
   (8 "lucidasans-bold-8")
   (9 "lucidasans-bold-9")
   (10 "lucidasans-bold-10")
   (11 "lucidasans-bold-11")
   (12 "lucidasans-bold-12")
   (13 "lucidasans-bold-13")
   (14 "lucidasans-bold-14")
   (15 "lucidasans-bold-15")
   (16 "lucidasans-bold-16")
   (17 "lucidasans-bold-17")
   (18 "lucidasans-bold-18")
   (19 "lucidasans-bold-19")
   (20 "lucidasans-bold-20")
   (21 "lucidasans-bold-21")
   (22 "lucidasans-bold-22")
   (23 "lucidasans-bold-23")
   (24 "lucidasans-bold-24")
   (25 "lucidasans-bold-25")
   (26 "lucidasans-bold-26")
   (27 "lucidasans-bold-27")
   (28 "lucidasans-bold-28")
   (29 "lucidasans-bold-29")
   (30 "lucidasans-bold-30")
   )
  (:BOLDITALIC
   (6 "lucidasans-bolditalic-6")
   (7 "lucidasans-bolditalic-7")
   (8 "lucidasans-bolditalic-8")
   (9 "lucidasans-bolditalic-9")
   (10 "lucidasans-bolditalic-10")
   (11 "lucidasans-bolditalic-11")
   (12 "lucidasans-bolditalic-12")
   (13 "lucidasans-bolditalic-13")
   (14 "lucidasans-bolditalic-14")
   (15 "lucidasans-bolditalic-15")
   (16 "lucidasans-bolditalic-16")
   (17 "lucidasans-bolditalic-17")
   (18 "lucidasans-bolditalic-18")
   (19 "lucidasans-bolditalic-19")
   (20 "lucidasans-bolditalic-20")
   (21 "lucidasans-bolditalic-21")
   (22 "lucidasans-bolditalic-22")
   (23 "lucidasans-bolditalic-23")
   (24 "lucidasans-bolditalic-24")
   (25 "lucidasans-bolditalic-25")
   (26 "lucidasans-bolditalic-26")
   (27 "lucidasans-bolditalic-27")
   (28 "lucidasans-bolditalic-28")
   (29 "lucidasans-bolditalic-29")
   (30 "lucidasans-bolditalic-30")
   )
  )

 (:LUCIDATYPEWRITER
  (:NORMAL
   (6 "lucidasanstypewriter-6")
   (7 "lucidasanstypewriter-7")
   (8 "lucidasanstypewriter-8")
   (9 "lucidasanstypewriter-9")
   (10 "lucidasanstypewriter-10")
   (11 "lucidasanstypewriter-11")
   (12 "lucidasanstypewriter-12")
   (13 "lucidasanstypewriter-13")
   (14 "lucidasanstypewriter-14")
   (15 "lucidasanstypewriter-15")
   (16 "lucidasanstypewriter-16")
   (17 "lucidasanstypewriter-17")
   (18 "lucidasanstypewriter-18")
   (19 "lucidasanstypewriter-19")
   (20 "lucidasanstypewriter-20")
   (21 "lucidasanstypewriter-21")
   (22 "lucidasanstypewriter-22")
   (23 "lucidasanstypewriter-23")
   (24 "lucidasanstypewriter-24")
   (25 "lucidasanstypewriter-25")
   (26 "lucidasanstypewriter-26")
   (27 "lucidasanstypewriter-27")
   (28 "lucidasanstypewriter-28")
   (29 "lucidasanstypewriter-29")
   (30 "lucidasanstypewriter-30")
   )
  (:BOLD
   (6 "lucidasanstypewriter-bold-6")
   (7 "lucidasanstypewriter-bold-7")
   (8 "lucidasanstypewriter-bold-8")
   (9 "lucidasanstypewriter-bold-9")
   (10 "lucidasanstypewriter-bold-10")
   (11 "lucidasanstypewriter-bold-11")
   (12 "lucidasanstypewriter-bold-12")
   (13 "lucidasanstypewriter-bold-13")
   (14 "lucidasanstypewriter-bold-14")
   (15 "lucidasanstypewriter-bold-15")
   (16 "lucidasanstypewriter-bold-16")
   (17 "lucidasanstypewriter-bold-17")
   (18 "lucidasanstypewriter-bold-18")
   (19 "lucidasanstypewriter-bold-19")
   (20 "lucidasanstypewriter-bold-20")
   (21 "lucidasanstypewriter-bold-21")
   (22 "lucidasanstypewriter-bold-22")
   (23 "lucidasanstypewriter-bold-23")
   (24 "lucidasanstypewriter-bold-24")
   (25 "lucidasanstypewriter-bold-25")
   (26 "lucidasanstypewriter-bold-26")
   (27 "lucidasanstypewriter-bold-27")
   (28 "lucidasanstypewriter-bold-28")
   (29 "lucidasanstypewriter-bold-29")
   (30 "lucidasanstypewriter-bold-30")
   )
  )
 )
