;;; -*- Mode: LISP; Syntax: COMMON-LISP; Package: XIT; Base: 10; -*-
;;;_____________________________________________________________________________
;;;
;;;                       System: XIT
;;;                       Module: FONT-TABLE
;;;                       (Version 1.0)
;;;
;;; Copyright (c): Forschungsgruppe DRUID, Hubertus Hohl
;;;                Universitaet Stuttgart
;;;
;;; File: /usr/local/lisp/xit/font-tables/OPENWIN-X11-font-table.lisp
;;; File Creation Date: 02/28/91 11:18:15
;;; Last Modification Time: 10/01/91 15:05:17
;;; Last Modification By: Hubertus Hohl
;;;
;;;
;;; Changes (worth to be mentioned):
;;; ================================
;;;
;;;_____________________________________________________________________________


(in-package :xit)

;;;_______________________________________________
;;;
;;; Font Table for OPENWIN using X11 bitmap fonts
;;;_______________________________________________

(define-font-families 
 (:HELVETICA
  (:NORMAL
   (6   "-linotype-helvetica-medium-r-normal--6-60-0-0-p-0-iso8859-1")
   (7   "-linotype-helvetica-medium-r-normal--7-70-0-0-p-0-iso8859-1")
   (8   "-linotype-helvetica-medium-r-normal--8-80-0-0-p-0-iso8859-1")
   (9   "-linotype-helvetica-medium-r-normal--9-90-0-0-p-0-iso8859-1")
   (10  "-linotype-helvetica-medium-r-normal--10-100-0-0-p-0-iso8859-1")
   (11  "-linotype-helvetica-medium-r-normal--11-110-0-0-p-0-iso8859-1")
   (12  "-linotype-helvetica-medium-r-normal--12-120-0-0-p-0-iso8859-1")
   (13  "-linotype-helvetica-medium-r-normal--13-130-0-0-p-0-iso8859-1")
   (14  "-linotype-helvetica-medium-r-normal--14-140-0-0-p-0-iso8859-1")
   (15  "-linotype-helvetica-medium-r-normal--15-150-0-0-p-0-iso8859-1")
   (16  "-linotype-helvetica-medium-r-normal--16-160-0-0-p-0-iso8859-1")
   (17  "-linotype-helvetica-medium-r-normal--17-170-0-0-p-0-iso8859-1")
   (18  "-linotype-helvetica-medium-r-normal--18-180-0-0-p-0-iso8859-1")
   (19  "-linotype-helvetica-medium-r-normal--19-190-0-0-p-0-iso8859-1")
   (20  "-linotype-helvetica-medium-r-normal--20-200-0-0-p-0-iso8859-1")
   (21  "-linotype-helvetica-medium-r-normal--21-210-0-0-p-0-iso8859-1")
   (22  "-linotype-helvetica-medium-r-normal--22-220-0-0-p-0-iso8859-1")
   (23  "-linotype-helvetica-medium-r-normal--23-230-0-0-p-0-iso8859-1")
   (24  "-linotype-helvetica-medium-r-normal--24-240-0-0-p-0-iso8859-1")
   (25  "-linotype-helvetica-medium-r-normal--25-250-0-0-p-0-iso8859-1")
   (26  "-linotype-helvetica-medium-r-normal--26-260-0-0-p-0-iso8859-1")
   (27  "-linotype-helvetica-medium-r-normal--27-270-0-0-p-0-iso8859-1")
   (28  "-linotype-helvetica-medium-r-normal--28-280-0-0-p-0-iso8859-1")
   (29  "-linotype-helvetica-medium-r-normal--29-290-0-0-p-0-iso8859-1")
   (30  "-linotype-helvetica-medium-r-normal--30-300-0-0-p-0-iso8859-1")
   )
  (:ITALIC
   (6   "-linotype-helvetica-medium-o-normal--6-60-0-0-p-0-iso8859-1")
   (7   "-linotype-helvetica-medium-o-normal--7-70-0-0-p-0-iso8859-1")
   (8   "-linotype-helvetica-medium-o-normal--8-80-0-0-p-0-iso8859-1")
   (9   "-linotype-helvetica-medium-o-normal--9-90-0-0-p-0-iso8859-1")
   (10  "-linotype-helvetica-medium-o-normal--10-100-0-0-p-0-iso8859-1")
   (11  "-linotype-helvetica-medium-o-normal--11-110-0-0-p-0-iso8859-1")
   (12  "-linotype-helvetica-medium-o-normal--12-120-0-0-p-0-iso8859-1")
   (13  "-linotype-helvetica-medium-o-normal--13-130-0-0-p-0-iso8859-1")
   (14  "-linotype-helvetica-medium-o-normal--14-140-0-0-p-0-iso8859-1")
   (15  "-linotype-helvetica-medium-o-normal--15-150-0-0-p-0-iso8859-1")
   (16  "-linotype-helvetica-medium-o-normal--16-160-0-0-p-0-iso8859-1")
   (17  "-linotype-helvetica-medium-o-normal--17-170-0-0-p-0-iso8859-1")
   (18  "-linotype-helvetica-medium-o-normal--18-180-0-0-p-0-iso8859-1")
   (19  "-linotype-helvetica-medium-o-normal--19-190-0-0-p-0-iso8859-1")
   (20  "-linotype-helvetica-medium-o-normal--20-200-0-0-p-0-iso8859-1")
   (21  "-linotype-helvetica-medium-o-normal--21-210-0-0-p-0-iso8859-1")
   (22  "-linotype-helvetica-medium-o-normal--22-220-0-0-p-0-iso8859-1")
   (23  "-linotype-helvetica-medium-o-normal--23-230-0-0-p-0-iso8859-1")
   (24  "-linotype-helvetica-medium-o-normal--24-240-0-0-p-0-iso8859-1")
   (25  "-linotype-helvetica-medium-o-normal--25-250-0-0-p-0-iso8859-1")
   (26  "-linotype-helvetica-medium-o-normal--26-260-0-0-p-0-iso8859-1")
   (27  "-linotype-helvetica-medium-o-normal--27-270-0-0-p-0-iso8859-1")
   (28  "-linotype-helvetica-medium-o-normal--28-280-0-0-p-0-iso8859-1")
   (29  "-linotype-helvetica-medium-o-normal--29-290-0-0-p-0-iso8859-1")
   (30  "-linotype-helvetica-medium-o-normal--30-300-0-0-p-0-iso8859-1")
   )
  (:BOLD
   (6   "-linotype-helvetica-bold-r-normal--6-60-0-0-p-0-iso8859-1")
   (7   "-linotype-helvetica-bold-r-normal--7-70-0-0-p-0-iso8859-1")
   (8   "-linotype-helvetica-bold-r-normal--8-80-0-0-p-0-iso8859-1")
   (9   "-linotype-helvetica-bold-r-normal--9-90-0-0-p-0-iso8859-1")
   (10  "-linotype-helvetica-bold-r-normal--10-100-0-0-p-0-iso8859-1")
   (11  "-linotype-helvetica-bold-r-normal--11-110-0-0-p-0-iso8859-1")
   (12  "-linotype-helvetica-bold-r-normal--12-120-0-0-p-0-iso8859-1")
   (13  "-linotype-helvetica-bold-r-normal--13-130-0-0-p-0-iso8859-1")
   (14  "-linotype-helvetica-bold-r-normal--14-140-0-0-p-0-iso8859-1")
   (15  "-linotype-helvetica-bold-r-normal--15-150-0-0-p-0-iso8859-1")
   (16  "-linotype-helvetica-bold-r-normal--16-160-0-0-p-0-iso8859-1")
   (17  "-linotype-helvetica-bold-r-normal--17-170-0-0-p-0-iso8859-1")
   (18  "-linotype-helvetica-bold-r-normal--18-180-0-0-p-0-iso8859-1")
   (19  "-linotype-helvetica-bold-r-normal--19-190-0-0-p-0-iso8859-1")
   (20  "-linotype-helvetica-bold-r-normal--20-200-0-0-p-0-iso8859-1")
   (21  "-linotype-helvetica-bold-r-normal--21-210-0-0-p-0-iso8859-1")
   (22  "-linotype-helvetica-bold-r-normal--22-220-0-0-p-0-iso8859-1")
   (23  "-linotype-helvetica-bold-r-normal--23-230-0-0-p-0-iso8859-1")
   (24  "-linotype-helvetica-bold-r-normal--24-240-0-0-p-0-iso8859-1")
   (25  "-linotype-helvetica-bold-r-normal--25-250-0-0-p-0-iso8859-1")
   (26  "-linotype-helvetica-bold-r-normal--26-260-0-0-p-0-iso8859-1")
   (27  "-linotype-helvetica-bold-r-normal--27-270-0-0-p-0-iso8859-1")
   (28  "-linotype-helvetica-bold-r-normal--28-280-0-0-p-0-iso8859-1")
   (29  "-linotype-helvetica-bold-r-normal--29-290-0-0-p-0-iso8859-1")
   (30  "-linotype-helvetica-bold-r-normal--30-300-0-0-p-0-iso8859-1")
   )
  (:BOLDITALIC
   (6   "-linotype-helvetica-bold-o-normal--6-60-0-0-p-0-iso8859-1")
   (7   "-linotype-helvetica-bold-o-normal--7-70-0-0-p-0-iso8859-1")
   (8   "-linotype-helvetica-bold-o-normal--8-80-0-0-p-0-iso8859-1")
   (9   "-linotype-helvetica-bold-o-normal--9-90-0-0-p-0-iso8859-1")
   (10  "-linotype-helvetica-bold-o-normal--10-100-0-0-p-0-iso8859-1")
   (11  "-linotype-helvetica-bold-o-normal--11-110-0-0-p-0-iso8859-1")
   (12  "-linotype-helvetica-bold-o-normal--12-120-0-0-p-0-iso8859-1")
   (13  "-linotype-helvetica-bold-o-normal--13-130-0-0-p-0-iso8859-1")
   (14  "-linotype-helvetica-bold-o-normal--14-140-0-0-p-0-iso8859-1")
   (15  "-linotype-helvetica-bold-o-normal--15-150-0-0-p-0-iso8859-1")
   (16  "-linotype-helvetica-bold-o-normal--16-160-0-0-p-0-iso8859-1")
   (17  "-linotype-helvetica-bold-o-normal--17-170-0-0-p-0-iso8859-1")
   (18  "-linotype-helvetica-bold-o-normal--18-180-0-0-p-0-iso8859-1")
   (19  "-linotype-helvetica-bold-o-normal--19-190-0-0-p-0-iso8859-1")
   (20  "-linotype-helvetica-bold-o-normal--20-200-0-0-p-0-iso8859-1")
   (21  "-linotype-helvetica-bold-o-normal--21-210-0-0-p-0-iso8859-1")
   (22  "-linotype-helvetica-bold-o-normal--22-220-0-0-p-0-iso8859-1")
   (23  "-linotype-helvetica-bold-o-normal--23-230-0-0-p-0-iso8859-1")
   (24  "-linotype-helvetica-bold-o-normal--24-240-0-0-p-0-iso8859-1")
   (25  "-linotype-helvetica-bold-o-normal--25-250-0-0-p-0-iso8859-1")
   (26  "-linotype-helvetica-bold-o-normal--26-260-0-0-p-0-iso8859-1")
   (27  "-linotype-helvetica-bold-o-normal--27-270-0-0-p-0-iso8859-1")
   (28  "-linotype-helvetica-bold-o-normal--28-280-0-0-p-0-iso8859-1")
   (29  "-linotype-helvetica-bold-o-normal--29-290-0-0-p-0-iso8859-1")
   (30  "-linotype-helvetica-bold-o-normal--30-300-0-0-p-0-iso8859-1")
   )
  )

 (:LUCIDA
  (:NORMAL
   (6   "-b&h-lucida-medium-r-normal-sans-6-60-0-0-p-0-iso8859-1")
   (7   "-b&h-lucida-medium-r-normal-sans-7-70-0-0-p-0-iso8859-1")
   (8   "-b&h-lucida-medium-r-normal-sans-8-80-0-0-p-0-iso8859-1")
   (9   "-b&h-lucida-medium-r-normal-sans-9-90-0-0-p-0-iso8859-1")
   (10  "-b&h-lucida-medium-r-normal-sans-10-100-0-0-p-0-iso8859-1")
   (11  "-b&h-lucida-medium-r-normal-sans-11-110-0-0-p-0-iso8859-1")
   (12  "-b&h-lucida-medium-r-normal-sans-12-120-0-0-p-0-iso8859-1")
   (13  "-b&h-lucida-medium-r-normal-sans-13-130-0-0-p-0-iso8859-1")
   (14  "-b&h-lucida-medium-r-normal-sans-14-140-0-0-p-0-iso8859-1")
   (15  "-b&h-lucida-medium-r-normal-sans-15-150-0-0-p-0-iso8859-1")
   (16  "-b&h-lucida-medium-r-normal-sans-16-160-0-0-p-0-iso8859-1")
   (17  "-b&h-lucida-medium-r-normal-sans-17-170-0-0-p-0-iso8859-1")
   (18  "-b&h-lucida-medium-r-normal-sans-18-180-0-0-p-0-iso8859-1")
   (19  "-b&h-lucida-medium-r-normal-sans-19-190-0-0-p-0-iso8859-1")
   (20  "-b&h-lucida-medium-r-normal-sans-20-200-0-0-p-0-iso8859-1")
   (21  "-b&h-lucida-medium-r-normal-sans-21-210-0-0-p-0-iso8859-1")
   (22  "-b&h-lucida-medium-r-normal-sans-22-220-0-0-p-0-iso8859-1")
   (23  "-b&h-lucida-medium-r-normal-sans-23-230-0-0-p-0-iso8859-1")
   (24  "-b&h-lucida-medium-r-normal-sans-24-240-0-0-p-0-iso8859-1")
   (25  "-b&h-lucida-medium-r-normal-sans-25-250-0-0-p-0-iso8859-1")
   (26  "-b&h-lucida-medium-r-normal-sans-26-260-0-0-p-0-iso8859-1")
   (27  "-b&h-lucida-medium-r-normal-sans-27-270-0-0-p-0-iso8859-1")
   (28  "-b&h-lucida-medium-r-normal-sans-28-280-0-0-p-0-iso8859-1")
   (29  "-b&h-lucida-medium-r-normal-sans-29-290-0-0-p-0-iso8859-1")
   (30  "-b&h-lucida-medium-r-normal-sans-30-300-0-0-p-0-iso8859-1")
   )
  (:ITALIC
   (6   "-b&h-lucida-medium-i-normal-sans-6-60-0-0-p-0-iso8859-1")
   (7   "-b&h-lucida-medium-i-normal-sans-7-70-0-0-p-0-iso8859-1")
   (8   "-b&h-lucida-medium-i-normal-sans-8-80-0-0-p-0-iso8859-1")
   (9   "-b&h-lucida-medium-i-normal-sans-9-90-0-0-p-0-iso8859-1")
   (10  "-b&h-lucida-medium-i-normal-sans-10-100-0-0-p-0-iso8859-1")
   (11  "-b&h-lucida-medium-i-normal-sans-11-110-0-0-p-0-iso8859-1")
   (12  "-b&h-lucida-medium-i-normal-sans-12-120-0-0-p-0-iso8859-1")
   (13  "-b&h-lucida-medium-i-normal-sans-13-130-0-0-p-0-iso8859-1")
   (14  "-b&h-lucida-medium-i-normal-sans-14-140-0-0-p-0-iso8859-1")
   (15  "-b&h-lucida-medium-i-normal-sans-15-150-0-0-p-0-iso8859-1")
   (16  "-b&h-lucida-medium-i-normal-sans-16-160-0-0-p-0-iso8859-1")
   (17  "-b&h-lucida-medium-i-normal-sans-17-170-0-0-p-0-iso8859-1")
   (18  "-b&h-lucida-medium-i-normal-sans-18-180-0-0-p-0-iso8859-1")
   (19  "-b&h-lucida-medium-i-normal-sans-19-190-0-0-p-0-iso8859-1")
   (20  "-b&h-lucida-medium-i-normal-sans-20-200-0-0-p-0-iso8859-1")
   (21  "-b&h-lucida-medium-i-normal-sans-21-210-0-0-p-0-iso8859-1")
   (22  "-b&h-lucida-medium-i-normal-sans-22-220-0-0-p-0-iso8859-1")
   (23  "-b&h-lucida-medium-i-normal-sans-23-230-0-0-p-0-iso8859-1")
   (24  "-b&h-lucida-medium-i-normal-sans-24-240-0-0-p-0-iso8859-1")
   (25  "-b&h-lucida-medium-i-normal-sans-25-250-0-0-p-0-iso8859-1")
   (26  "-b&h-lucida-medium-i-normal-sans-26-260-0-0-p-0-iso8859-1")
   (27  "-b&h-lucida-medium-i-normal-sans-27-270-0-0-p-0-iso8859-1")
   (28  "-b&h-lucida-medium-i-normal-sans-28-280-0-0-p-0-iso8859-1")
   (29  "-b&h-lucida-medium-i-normal-sans-29-290-0-0-p-0-iso8859-1")
   (30  "-b&h-lucida-medium-i-normal-sans-30-300-0-0-p-0-iso8859-1")
   )
  (:BOLD
   (6   "-b&h-lucida-bold-r-normal-sans-6-60-0-0-p-0-iso8859-1")
   (7   "-b&h-lucida-bold-r-normal-sans-7-70-0-0-p-0-iso8859-1")
   (8   "-b&h-lucida-bold-r-normal-sans-8-80-0-0-p-0-iso8859-1")
   (9   "-b&h-lucida-bold-r-normal-sans-9-90-0-0-p-0-iso8859-1")
   (10  "-b&h-lucida-bold-r-normal-sans-10-100-0-0-p-0-iso8859-1")
   (11  "-b&h-lucida-bold-r-normal-sans-11-110-0-0-p-0-iso8859-1")
   (12  "-b&h-lucida-bold-r-normal-sans-12-120-0-0-p-0-iso8859-1")
   (13  "-b&h-lucida-bold-r-normal-sans-13-130-0-0-p-0-iso8859-1")
   (14  "-b&h-lucida-bold-r-normal-sans-14-140-0-0-p-0-iso8859-1")
   (15  "-b&h-lucida-bold-r-normal-sans-15-150-0-0-p-0-iso8859-1")
   (16  "-b&h-lucida-bold-r-normal-sans-16-160-0-0-p-0-iso8859-1")
   (17  "-b&h-lucida-bold-r-normal-sans-17-170-0-0-p-0-iso8859-1")
   (18  "-b&h-lucida-bold-r-normal-sans-18-180-0-0-p-0-iso8859-1")
   (19  "-b&h-lucida-bold-r-normal-sans-19-190-0-0-p-0-iso8859-1")
   (20  "-b&h-lucida-bold-r-normal-sans-20-200-0-0-p-0-iso8859-1")
   (21  "-b&h-lucida-bold-r-normal-sans-21-210-0-0-p-0-iso8859-1")
   (22  "-b&h-lucida-bold-r-normal-sans-22-220-0-0-p-0-iso8859-1")
   (23  "-b&h-lucida-bold-r-normal-sans-23-230-0-0-p-0-iso8859-1")
   (24  "-b&h-lucida-bold-r-normal-sans-24-240-0-0-p-0-iso8859-1")
   (25  "-b&h-lucida-bold-r-normal-sans-25-250-0-0-p-0-iso8859-1")
   (26  "-b&h-lucida-bold-r-normal-sans-26-260-0-0-p-0-iso8859-1")
   (27  "-b&h-lucida-bold-r-normal-sans-27-270-0-0-p-0-iso8859-1")
   (28  "-b&h-lucida-bold-r-normal-sans-28-280-0-0-p-0-iso8859-1")
   (29  "-b&h-lucida-bold-r-normal-sans-29-290-0-0-p-0-iso8859-1")
   (30  "-b&h-lucida-bold-r-normal-sans-30-300-0-0-p-0-iso8859-1")
   )
  (:BOLDITALIC
   (6   "-b&h-lucida-bold-i-normal-sans-6-60-0-0-p-0-iso8859-1")
   (7   "-b&h-lucida-bold-i-normal-sans-7-70-0-0-p-0-iso8859-1")
   (8   "-b&h-lucida-bold-i-normal-sans-8-80-0-0-p-0-iso8859-1")
   (9   "-b&h-lucida-bold-i-normal-sans-9-90-0-0-p-0-iso8859-1")
   (10  "-b&h-lucida-bold-i-normal-sans-10-100-0-0-p-0-iso8859-1")
   (11  "-b&h-lucida-bold-i-normal-sans-11-110-0-0-p-0-iso8859-1")
   (12  "-b&h-lucida-bold-i-normal-sans-12-120-0-0-p-0-iso8859-1")
   (13  "-b&h-lucida-bold-i-normal-sans-13-130-0-0-p-0-iso8859-1")
   (14  "-b&h-lucida-bold-i-normal-sans-14-140-0-0-p-0-iso8859-1")
   (15  "-b&h-lucida-bold-i-normal-sans-15-150-0-0-p-0-iso8859-1")
   (16  "-b&h-lucida-bold-i-normal-sans-16-160-0-0-p-0-iso8859-1")
   (17  "-b&h-lucida-bold-i-normal-sans-17-170-0-0-p-0-iso8859-1")
   (18  "-b&h-lucida-bold-i-normal-sans-18-180-0-0-p-0-iso8859-1")
   (19  "-b&h-lucida-bold-i-normal-sans-19-190-0-0-p-0-iso8859-1")
   (20  "-b&h-lucida-bold-i-normal-sans-20-200-0-0-p-0-iso8859-1")
   (21  "-b&h-lucida-bold-i-normal-sans-21-210-0-0-p-0-iso8859-1")
   (22  "-b&h-lucida-bold-i-normal-sans-22-220-0-0-p-0-iso8859-1")
   (23  "-b&h-lucida-bold-i-normal-sans-23-230-0-0-p-0-iso8859-1")
   (24  "-b&h-lucida-bold-i-normal-sans-24-240-0-0-p-0-iso8859-1")
   (25  "-b&h-lucida-bold-i-normal-sans-25-250-0-0-p-0-iso8859-1")
   (26  "-b&h-lucida-bold-i-normal-sans-26-260-0-0-p-0-iso8859-1")
   (27  "-b&h-lucida-bold-i-normal-sans-27-270-0-0-p-0-iso8859-1")
   (28  "-b&h-lucida-bold-i-normal-sans-28-280-0-0-p-0-iso8859-1")
   (29  "-b&h-lucida-bold-i-normal-sans-29-290-0-0-p-0-iso8859-1")
   (30  "-b&h-lucida-bold-i-normal-sans-30-300-0-0-p-0-iso8859-1")
   )
  )

 (:LUCIDATYPEWRITER
  (:NORMAL
   (6   "-b&h-lucidatypewriter-medium-r-normal-sans-6-60-0-0-m-0-iso8859-1")
   (7   "-b&h-lucidatypewriter-medium-r-normal-sans-7-70-0-0-m-0-iso8859-1")
   (8   "-b&h-lucidatypewriter-medium-r-normal-sans-8-80-0-0-m-0-iso8859-1")
   (9   "-b&h-lucidatypewriter-medium-r-normal-sans-9-90-0-0-m-0-iso8859-1")
   (10  "-b&h-lucidatypewriter-medium-r-normal-sans-10-100-0-0-m-0-iso8859-1")
   (11  "-b&h-lucidatypewriter-medium-r-normal-sans-11-110-0-0-m-0-iso8859-1")
   (12  "-b&h-lucidatypewriter-medium-r-normal-sans-12-120-0-0-m-0-iso8859-1")
   (13  "-b&h-lucidatypewriter-medium-r-normal-sans-13-130-0-0-m-0-iso8859-1")
   (14  "-b&h-lucidatypewriter-medium-r-normal-sans-14-140-0-0-m-0-iso8859-1")
   (15  "-b&h-lucidatypewriter-medium-r-normal-sans-15-150-0-0-m-0-iso8859-1")
   (16  "-b&h-lucidatypewriter-medium-r-normal-sans-16-160-0-0-m-0-iso8859-1")
   (17  "-b&h-lucidatypewriter-medium-r-normal-sans-17-170-0-0-m-0-iso8859-1")
   (18  "-b&h-lucidatypewriter-medium-r-normal-sans-18-180-0-0-m-0-iso8859-1")
   (19  "-b&h-lucidatypewriter-medium-r-normal-sans-19-190-0-0-m-0-iso8859-1")
   (20  "-b&h-lucidatypewriter-medium-r-normal-sans-20-200-0-0-m-0-iso8859-1")
   (21  "-b&h-lucidatypewriter-medium-r-normal-sans-21-210-0-0-m-0-iso8859-1")
   (22  "-b&h-lucidatypewriter-medium-r-normal-sans-22-220-0-0-m-0-iso8859-1")
   (23  "-b&h-lucidatypewriter-medium-r-normal-sans-23-230-0-0-m-0-iso8859-1")
   (24  "-b&h-lucidatypewriter-medium-r-normal-sans-24-240-0-0-m-0-iso8859-1")
   (25  "-b&h-lucidatypewriter-medium-r-normal-sans-25-250-0-0-m-0-iso8859-1")
   (26  "-b&h-lucidatypewriter-medium-r-normal-sans-26-260-0-0-m-0-iso8859-1")
   (27  "-b&h-lucidatypewriter-medium-r-normal-sans-27-270-0-0-m-0-iso8859-1")
   (28  "-b&h-lucidatypewriter-medium-r-normal-sans-28-280-0-0-m-0-iso8859-1")
   (29  "-b&h-lucidatypewriter-medium-r-normal-sans-29-290-0-0-m-0-iso8859-1")
   (30  "-b&h-lucidatypewriter-medium-r-normal-sans-30-300-0-0-m-0-iso8859-1")
   )
  (:BOLD
   (6   "-b&h-lucidatypewriter-bold-r-normal-sans-6-60-0-0-m-0-iso8859-1")
   (7   "-b&h-lucidatypewriter-bold-r-normal-sans-7-70-0-0-m-0-iso8859-1")
   (8   "-b&h-lucidatypewriter-bold-r-normal-sans-8-80-0-0-m-0-iso8859-1")
   (9   "-b&h-lucidatypewriter-bold-r-normal-sans-9-90-0-0-m-0-iso8859-1")
   (10  "-b&h-lucidatypewriter-bold-r-normal-sans-10-100-0-0-m-0-iso8859-1")
   (11  "-b&h-lucidatypewriter-bold-r-normal-sans-11-110-0-0-m-0-iso8859-1")
   (12  "-b&h-lucidatypewriter-bold-r-normal-sans-12-120-0-0-m-0-iso8859-1")
   (13  "-b&h-lucidatypewriter-bold-r-normal-sans-13-130-0-0-m-0-iso8859-1")
   (14  "-b&h-lucidatypewriter-bold-r-normal-sans-14-140-0-0-m-0-iso8859-1")
   (15  "-b&h-lucidatypewriter-bold-r-normal-sans-15-150-0-0-m-0-iso8859-1")
   (16  "-b&h-lucidatypewriter-bold-r-normal-sans-16-160-0-0-m-0-iso8859-1")
   (17  "-b&h-lucidatypewriter-bold-r-normal-sans-17-170-0-0-m-0-iso8859-1")
   (18  "-b&h-lucidatypewriter-bold-r-normal-sans-18-180-0-0-m-0-iso8859-1")
   (19  "-b&h-lucidatypewriter-bold-r-normal-sans-19-190-0-0-m-0-iso8859-1")
   (20  "-b&h-lucidatypewriter-bold-r-normal-sans-20-200-0-0-m-0-iso8859-1")
   (21  "-b&h-lucidatypewriter-bold-r-normal-sans-21-210-0-0-m-0-iso8859-1")
   (22  "-b&h-lucidatypewriter-bold-r-normal-sans-22-220-0-0-m-0-iso8859-1")
   (23  "-b&h-lucidatypewriter-bold-r-normal-sans-23-230-0-0-m-0-iso8859-1")
   (24  "-b&h-lucidatypewriter-bold-r-normal-sans-24-240-0-0-m-0-iso8859-1")
   (25  "-b&h-lucidatypewriter-bold-r-normal-sans-25-250-0-0-m-0-iso8859-1")
   (26  "-b&h-lucidatypewriter-bold-r-normal-sans-26-260-0-0-m-0-iso8859-1")
   (27  "-b&h-lucidatypewriter-bold-r-normal-sans-27-270-0-0-m-0-iso8859-1")
   (28  "-b&h-lucidatypewriter-bold-r-normal-sans-28-280-0-0-m-0-iso8859-1")
   (29  "-b&h-lucidatypewriter-bold-r-normal-sans-29-290-0-0-m-0-iso8859-1")
   (30  "-b&h-lucidatypewriter-bold-r-normal-sans-30-300-0-0-m-0-iso8859-1")
   )
  )
 )



 


  
  




