;;; -*- Mode: LISP; Syntax: COMMON-LISP; Base: 10.; Package: XIT -*-
;;;_____________________________________________________________________________
;;;
;;;                       System: XAM
;;;                       Module: defsystem
;;;                       Version: 2.0
;;;
;;; Copyright (c): Forschungsgruppe DRUID, Juergen Herczeg
;;;                Universitaet Stuttgart
;;;
;;; File: /usr/local/lisp/xit/xam/defsystem.lisp
;;; File Creation Date: 10/02/91 16:19:13
;;; Last Modification Time: 10/26/92 09:41:29
;;; Last Modification By: Juergen Herczeg
;;;
;;;
;;; Changes (worth to be mentioned):
;;; ================================
;;;
;;;_____________________________________________________________________________

(in-package :pmds)

(pushnew :XAM-V2.0 *features*)
(pushnew :XAM *features*)

#-xbrowse
(define-system :xam
	       (:default-directory "/usr/local/lisp/xit/xam/")
	       (:module :xit-identifier
			:subsystem
			(:default-directory "/usr/local/lisp/xit/")) 
	       (:module :xit-window-pool-manager
			:subsystem
			(:default-directory "/usr/local/lisp/xit/")) 
	       (:module :xit-color-sheet
			:subsystem
			(:default-directory "/usr/local/lisp/xit/")) 
	       (:module main
			("scrollable-dispels"
			 "definitions"
			 "meta-create-window"
                         "meta-properties"
                         "meta-operations"
			 "meta-system"
                         "layout-meta"
			 "color-meta"
                         "font-meta"
			 "bitmap-meta"
			 "reactivity-meta"
			 "timer-meta"
			 "add-part-meta"
			 "pane-layout"
                         "generate-objects"
                         "generate-code"
			 "identifier-meta"
			 ;"meta-browse"
			 "catalog"
			 ))
	       (:serial :xit-identifier
			:xit-window-pool-manager
			:copy-objects
			main))

#+xbrowse
(define-system :xam
	       (:default-directory "/usr/local/lisp/xit/xam/")
	       (:module :xit-identifier
			:subsystem
			(:default-directory "/usr/local/lisp/xit/")) 
	       (:module :xit-window-pool-manager
			:subsystem
			(:default-directory "/usr/local/lisp/xit/")) 
	       (:module :xit-color-sheet
			:subsystem
			(:default-directory "/usr/local/lisp/xit/")) 
	       (:module main
			("scrollable-dispels"
			 "definitions"
			 "meta-create-window"
                         "meta-properties"
                         "meta-operations"
			 "meta-system"
                         "layout-meta"
			 "color-meta"
                         "font-meta"
			 "bitmap-meta"
			 "reactivity-meta"
			 "timer-meta"
			 "add-part-meta"
			 "pane-layout"
                         "generate-objects"
                         "generate-code"
			 "identifier-meta"
			 "meta-browse"
			 ))
	       (:serial :xit-identifier
			:xit-window-pool-manager
			:copy-objects
			main))
